List batches
API reference for GET /v3/router/batches. List and filter the batches in the caller’s projects.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of batches to return, 1 to 100. Defaults to 20.
Cursor: return batches after this batch id.
Cursor: return batches before this batch id. Cannot be combined with after.
Free-text match on the batch id.
Comma-separated statuses to include: validating, in_progress, finalizing, completed, failed, expired, cancelling, cancelled.
Comma-separated endpoints to include: /v1/responses, /v1/chat/completions, /v1/embeddings, /v1/completions, /v1/moderations, /v3/router/decisions.
Response
Batches listed (empty array if none).